Package org.drinkless.tdlib

# Class TdApi.AutoDownloadSettingsPresets

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AutoDownloadSettingsPresets

Enclosing class:
  `TdApi`

public static class TdApi.AutoDownloadSettingsPresets extends TdApi.Object
Contains auto-download settings presets for the current user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.AutoDownloadSettings`
  `high`
  Preset with highest settings; expected to be used by default when connected on Wi-Fi.
  `TdApi.AutoDownloadSettings`
  `low`
  Preset with lowest settings; expected to be used by default when roaming.
  `TdApi.AutoDownloadSettings`
  `medium`
  Preset with medium settings; expected to be used by default when using mobile data.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AutoDownloadSettingsPresets()`
  Contains auto-download settings presets for the current user.
  `AutoDownloadSettingsPresets(TdApi.AutoDownloadSettings low, TdApi.AutoDownloadSettings medium, TdApi.AutoDownloadSettings high)`
  Contains auto-download settings presets for the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### low

    public TdApi.AutoDownloadSettings low
    Preset with lowest settings; expected to be used by default when roaming.

  - ### medium

    public TdApi.AutoDownloadSettings medium
    Preset with medium settings; expected to be used by default when using mobile data.

  - ### high

    public TdApi.AutoDownloadSettings high
    Preset with highest settings; expected to be used by default when connected on Wi-Fi.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AutoDownloadSettingsPresets

    public AutoDownloadSettingsPresets()
    Contains auto-download settings presets for the current user.

  - ### AutoDownloadSettingsPresets

    public AutoDownloadSettingsPresets(TdApi.AutoDownloadSettings low, TdApi.AutoDownloadSettings medium, TdApi.AutoDownloadSettings high)
    Contains auto-download settings presets for the current user.
    Parameters:
      `low` - Preset with lowest settings; expected to be used by default when roaming.
      `medium` - Preset with medium settings; expected to be used by default when using mobile data.
      `high` - Preset with highest settings; expected to be used by default when connected on Wi-Fi.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR